in vec3 pos;
uniform vec4 front_color;
uniform vec4 back_color;
uniform vec4 ambiant_color;
uniform vec3 lightPosition;
out vec4 fragColor;
void main()
{
  vec3 N = normalize(cross(dFdx(pos), dFdy(pos)));
  vec3 L = normalize(lightPosition - pos);
  float lambert = dot(N, L);
  fragColor = vec4(ambiant_color.rgb + (lambert * front_color.rgb), front_color.a);
}