in vec3 vertex_pos;
in vec3 vertex_normal;
uniform mat4 projection_matrix;
uniform mat4 model_view_matrix;
uniform mat3 normal_matrix;
uniform vec3 lightPosition;
out vec3 Normal;
out vec3 LightDir;
out vec3 EyeVector;
void main()
{
  Normal = normal_matrix * vertex_normal;
  vec4 pos4 = model_view_matrix * vec4(vertex_pos, 1.0);
  vec3 pos = pos4.xyz;
  LightDir = lightPosition - pos3;
  EyeVector = -pos3;
  gl_Position = projection_matrix * pos4;
}; 
